def capitalizeOnlyFirstLetter(i):
    return i[0].upper() + i[1:]

def JsNameConverter(i):
    return ''.join([x.capitalize() for x in i.split('_')]) if i else i

def CsOperationNameConverter(i):
    return ''.join([capitalizeOnlyFirstLetter(x) for x in i.split('.')]) if i else i

def CsTypeConverter(i):
    r = i
    match (i):
        case 'integer':
            r = 'int'
    return r
    
def OpenApiExtractRefType(i):
    e = i.split('/')
    if e[:-1] == ['#', 'components', 'schemas']:
        return e[-1]
    else:
        raise Exception("illegal ref type definition in response content")
